#include<iostream>
#include<fstream>
using namespace std;
long int max(long int a,long int b)
{
	return(a>=b)?a:b;
}
int main()
{
	ifstream f1("timmax.inp");
	int n;
	f1>>n;
	long int f[n];
	f1>>f[0];
	int x=0;
	long int z=f[0];
	long int y=0;
	for(int i=1;i<n;i++)
	{
		f1>>f[i];
	}
	for(int k=0;k<n;k++)
	{
		z=max(z,f[k]);
	}
	ofstream f2("timmax.out");
	f2<<z<<endl;
	for(int p=0;p<n;p++)
	{
		if(f[p]==z) f2<<p+1<<' ';
	}
	f1.close();
	f2.close();
	return 0;
}

